require 'sketchup.rb'
require 'extensions.rb'

module DM
module Artisan

plugins=Sketchup.find_support_file("Plugins")
if FileTest.exist?(File.join(plugins,"artisan_loader.rb"))
	UI.messagebox("You have an old version of Artisan installed.  Please delete the file 'artisan_loader.rb' and the folder 'artisan' from your SketchUp plugins folder in order for the newer version to function correctly.")
	UI.openURL("file://"+plugins)
end

artisanExtension = SketchupExtension.new("Artisan", (File.join(File.dirname(__FILE__),"DM_artisan","artisan_load.rb")))
artisanExtension.description=("Adds Tools->Artisan to the SketchUp interface.  The Artisan submenu contains several tools for creating and editing organic geometry.")
artisanExtension.version="1.2.4"
artisanExtension.creator="Dale Martens (Whaat)"
artisanExtension.copyright="2014, Dale Martens. All rights reserved."
Sketchup.register_extension artisanExtension,true

end

end